\usetheme[
	progressbar=frametitle,
	numbering=fraction,
	titleformat title=smallcaps,
	titleformat subtitle=smallcaps,
]{metropolis}
\AtBeginSection[]
{
    \begin{frame}[noframenumbering, plain]
        \frametitle{Agenda}
        \tableofcontents[currentsection, subsubsectionstyle=hide, subsectionstyle=show/show/hide]
    \end{frame}
}

\usepackage[english]{babel}
\usepackage{graphicx}
\usepackage{hyperref}
\usepackage{csquotes}
\usepackage{fontawesome}
\usepackage[absolute,overlay]{textpos}
\usepackage{tikz}
\usetikzlibrary{calc, patterns, arrows.meta, shapes.geometric, shapes.misc, shapes.multipart, shapes.callouts, fit, positioning}
\usetikzlibrary{overlay-beamer-styles}

\usepackage{listings}
\input{listings_setup}

\title{Automated QoS-Aware Service Selection Based on Soft Constraints}
\subtitle{Service-Oriented Computing the Soft Way}
\date[WADT'22]{26th International Workshop on Algebraic Development Techniques 2022}
\author[E. Keis et al.]{Elias Keis \and
Carlos Gustavo {Lopez Pombo} \and
Agustín Eloy {Martinez Suñe} \and
Alexander Knapp}

% include agend page in maketitle
\NewCommandCopy{\maketitlewithoutagenda}{\maketitle}
\renewcommand{\maketitle}{
	\maketitlewithoutagenda

	\begin{frame}[noframenumbering, plain]{Agenda}
		\tableofcontents[subsubsectionstyle=hide, subsectionstyle=hide]
	\end{frame}	
}

% source note for images
\setbeamercolor{framesource}{fg=gray}
\setbeamerfont{framesource}{size=\tiny}

\newcommand{\source}[1]{\begin{textblock*}{10cm}(0.7cm,8.6cm)
    \begin{beamercolorbox}[ht=0.5cm,left]{framesource}
        \usebeamerfont{framesource}\usebeamercolor[fg]{framesource} Source: {#1}
    \end{beamercolorbox}
\end{textblock*}}
